import { CONNECTION_ESTABLISHED, CONNECTION_ATTEMPTED, CONNECTION_DROPPED, CONNECTION_LISTENING } from '../actionTypes';

/**
 * Sets connection to established
 * @return {{type: CONNECTION_ESTABLISHED}} redux action type returned
 */
export var established = function established(_) {
    return {
        type: CONNECTION_ESTABLISHED
    };
};

/**
 * Sets connection to attempted
 * @return {{type: CONNECTION_ATTEMPTED}} redux action type returned
 */
export var attempted = function attempted(_) {
    return {
        type: CONNECTION_ATTEMPTED
    };
};

/**
 * Sets connection to offline
 * @return {{type: CONNECTION_DROPPED}} redux action type returned
 */
export var dropped = function dropped(_) {
    return {
        type: CONNECTION_DROPPED
    };
};

/**
 * Sets connection to listening
 * @return {{type: CONNECTION_LISTENING}} redux action type returned
 */
export var listening = function listening(_) {
    return {
        type: CONNECTION_LISTENING
    };
};