import React from 'react';
import { connect } from 'react-redux';

import { compose, setPropTypes } from 'recompose';
import PropTypes from 'prop-types';

var enhance = compose(setPropTypes({
	connection: PropTypes.object,
	typing: PropTypes.bool
}));

export var ButtonContainer = function ButtonContainer(_ref) {
	var children = _ref.children;

	return React.createElement(
		'div',
		{ className: 'ButtonContainer' },
		children
	);
};

export default enhance(ButtonContainer);