// @ts-check
import React from 'react';
import Avatar from './components/Avatar';
import Button from './components/Button';
import { CheckboxMenu } from './components/Menu';
import Image from './components/Image';
import Input from './components/Input';
import Menu from './components/Menu';
import Text from './components/Text';
import TypingIndicator from './components/TypingIndicator';

import './styles.scss';

export default {
    AvatarComponent: Avatar,
    ButtonComponent: Button,
    CheckboxMenuComponent: CheckboxMenu,
    ImageComponent: Image,
    InputComponent: Input,
    MenuComponent: Menu,
    TextComponent: Text,
    TypingIndicatorComponent: TypingIndicator
};