'use strict';

exports.__esModule = true;
exports.ButtonContainer = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var enhance = (0, _recompose.compose)((0, _recompose.setPropTypes)({
	connection: _propTypes2.default.object,
	typing: _propTypes2.default.bool
}));

var ButtonContainer = exports.ButtonContainer = function ButtonContainer(_ref) {
	var children = _ref.children;

	return _react2.default.createElement(
		'div',
		{ className: 'ButtonContainer' },
		children
	);
};

exports.default = enhance(ButtonContainer);