"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A typing indicator component
 * @return {Object} React component
 */
var TypingIndicator = function TypingIndicator() {
    return _react2.default.createElement(
        "div",
        { className: "TypingIndicator" },
        _react2.default.createElement("div", { className: "TypingIndicator-dot" }),
        _react2.default.createElement("div", { className: "TypingIndicator-dot" }),
        _react2.default.createElement("div", { className: "TypingIndicator-dot" })
    );
};

exports.default = TypingIndicator;
module.exports = exports["default"];