'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Avatar = require('./components/Avatar');

var _Avatar2 = _interopRequireDefault(_Avatar);

var _Button = require('./components/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Menu = require('./components/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _Image = require('./components/Image');

var _Image2 = _interopRequireDefault(_Image);

var _Input = require('./components/Input');

var _Input2 = _interopRequireDefault(_Input);

var _Text = require('./components/Text');

var _Text2 = _interopRequireDefault(_Text);

var _TypingIndicator = require('./components/TypingIndicator');

var _TypingIndicator2 = _interopRequireDefault(_TypingIndicator);

require('./styles.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
exports.default = {
    AvatarComponent: _Avatar2.default,
    ButtonComponent: _Button2.default,
    CheckboxMenuComponent: _Menu.CheckboxMenu,
    ImageComponent: _Image2.default,
    InputComponent: _Input2.default,
    MenuComponent: _Menu2.default,
    TextComponent: _Text2.default,
    TypingIndicatorComponent: _TypingIndicator2.default
};
module.exports = exports['default'];